IP information

A list of all publicly available methods for interacting with the API.

GET

Get ip query

/ip/query/{ip?}

Get IP information, such as country, city, timezone, etc.

This method requires a solved Captcha!
Some methods require captcha, in order to solve them you need to create RecaptchaV3 and insert your secret key into captcha-key, add it to your page - pass them - and get the answer from the captcha and added to the g-recaptcha-response parameter.
Create a captcha in the Google Recaptcha control panel.
Also you can write to our support and we can disable captcha for you in some methods.

Query method

GEThttps://api.stableproxy.com/v2/ip/query/{ip?}

Query parameters

IdentifierRegulationsExample
g-recaptcha-responserequiredrecaptchav3:ip0.5captcha_key"03AFcWeA690BhJU7VIxoIpsXXdDx7IVllNVz804lKvWNIBYmF42ALfY18TY4cjjQ0sY_...."
captcha-keyNot necessarilynullablestring"6Le6gTwUAAA ... secret ...tjbYd6IAYN_"

Code examples

1const baseUrl = "https://api.stableproxy.com/v2";
2const response = await fetch(baseUrl + "/ip/query/{ip?}", {
3 method: "GET",
4 headers: {
5 "Content-Type": "application/json"
6 }
7});
8const data = await response.json();

Examples of answers

Success response200application/json
{
  "data": {
    "ip": "84.95.8.140",
    "country_code": "IL",
    "country_name": "Israel",
    "location": {
      "city": "H̱olon",
      "region": "Tel Aviv",
      "timezone": "Asia/Jerusalem",
      "postal": null,
      "coordinates": {
        "latitude": 32.0103,
        "longitude": 34.7792
      },
      "organization": {
        "name": "Partner Communications Ltd.",
        "as": "AS12400"
      }
    }
  },
  "good": true,
  "timestamp": 1731317280,
  "cause": {
    "type": "anonymous",
    "user_id": -1
  }
}